## sakura 0.1.0

=== DESCRIPTION ===
Package: sakura
Type: Package
Title: Extension to R Serialization
Version: 0.1.0
Description: Extends the functionality of R serialization by augmenting the
    built-in reference hook system. This enhanced implementation allows optimal,
    one-pass integrated serialization that combines R serialization with
    third-party serialization methods. Facilitates the serialization of even
    complex R objects, which contain non-system reference objects, such as those
    accessed via external pointers, for use in parallel and distributed
    computing.
Authors@R: 
    c(person(given = "Charlie",
             family = "Gao",
             role = c("aut", "cre"),
             email = "charlie.gao@shikokuchuo.net",
             comment = c(ORCID = "0000-0002-0750-061X")),
      person(given = "Hibiki AI Limited",
             role = "cph"))
License: GPL (>= 3)
BugReports: https://github.com/shikokuchuo/sakura/issues
URL: https://shikokuchuo.net/sakura/,
        https://github.com/shikokuchuo/sakura/
Encoding: UTF-8
Depends: R (>= 3.5)
Suggests: arrow
RoxygenNote: 7.3.2
Config/build/compilation-database: true
NeedsCompilation: yes
Packaged: 2025-02-27 10:14:59 UTC; cg334
Author: Charlie Gao [aut, cre] (<https://orcid.org/0000-0002-0750-061X>),
  Hibiki AI Limited [cph]
Maintainer: Charlie Gao <charlie.gao@shikokuchuo.net>
Repository: CRAN
Date/Publication: 2025-03-03 11:40:02 UTC

## sakura 2.3.4

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.4 FATAL_ERROR)
IF (COMMAND CMAKE_POLICY)	
	CMAKE_POLICY(SET CMP0005 OLD)
ENDIF (COMMAND CMAKE_POLICY)	
PROJECT (sakura)
SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
SET (VERSION "2.3.4")


INCLUDE (FindPkgConfig)

IF (NOT PKG_CONFIG_FOUND)
	MESSAGE (FATAL_ERROR "pkg-config not found...")
ENDIF (NOT PKG_CONFIG_FOUND)

pkg_check_modules (GLIB REQUIRED glib-2.0>=2.14)
IF (NOT GLIB_FOUND)
	MESSAGE(FATAL_ERROR "You don't seem to have glib >= 2.14 development libraries installed...")
ENDIF (NOT GLIB_FOUND)

pkg_check_modules (GTK REQUIRED gtk+-2.0>=2.10)
IF (NOT GTK_FOUND)
	MESSAGE(FATAL_ERROR "You don't seem to have gtk >= 2.10 development libraries installed...")
ENDIF (NOT GTK_FOUND)

pkg_check_modules (VTE REQUIRED vte>=0.16.15)
IF (NOT VTE_FOUND)
	MESSAGE(FATAL_ERROR "You don't seem to have vte >= 0.16.15 development libraries installed...")
ENDIF (NOT VTE_FOUND)

ADD_DEFINITIONS (-DVERSION=\\\"${VERSION}\\\")
ADD_DEFINITIONS (-DDATADIR=\\\"${CMAKE_INSTALL_PREFIX}/share\\\")
ADD_DEFINITIONS (-DBUILDTYPE=\\\"${CMAKE_BUILD_TYPE}\\\")

IF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
	SET (CMAKE_C_FLAGS "-Wall")
ELSE (${CMAKE_BUILD_TYPE} NOT MATCHES "Debug")
	SET (CMAKE_C_FLAGS "-O2")
ENDIF (${CMAKE_BUILD_TYPE} MATCHES "Debug")

INCLUDE_DIRECTORIES (. ${GTK_INCLUDE_DIRS} ${VTE_INCLUDE_DIRS})
LINK_DIRECTORIES (${GTK_LIBRARY_DIRS} ${VTE_LIBRARY_DIRS})
LINK_LIBRARIES (${GTK_LIBRARIES} ${VTE_LIBRARIES})
ADD_EXECUTABLE (sakura src/sakura.c)
ADD_DEPENDENCIES (sakura src/sakura.c src/sakura.h)

ADD_SUBDIRECTORY (po)

INSTALL (TARGETS sakura RUNTIME DESTINATION bin)	
INSTALL (FILES sakura.desktop DESTINATION share/applications)
INSTALL (FILES terminal-tango.svg DESTINATION share/pixmaps)
INSTALL (FILES INSTALL DESTINATION share/doc/sakura)	

FILE (GLOB MO_FILES po/*.mo)

SET_DIRECTORY_PROPERTIES (PROPERTIES
	ADDITIONAL_MAKE_CLEAN_FILES "${MO_FILES};po/sakura.pot")
SET (EXECUTABLE_OUTPUT_PATH src)

ADD_CUSTOM_TARGET (distclean
	rm -f Makefile cmake_install.cmake CMakeCache.txt install_manifest.txt
	COMMAND rm -f po/*.mo po/sakura.pot po/Makefile po/cmake_install.cmake 
	COMMAND rm -rf CMakeFiles po/CMakeFiles)

=== po/CMakeLists.txt ===
# Localization
FIND_PROGRAM(XGETTEXT xgettext)
FIND_PROGRAM(MSGFMT msgfmt)
FIND_PROGRAM(MSGMERGE msgmerge)

IF(NOT MSGFMT)
	MESSAGE( "------
			NOTE: msgfmt not found. Translations will *not* be installed
			------")
ELSE(NOT MSGFMT)

	SET(catalogname sakura)

	FILE (GLOB PO_FILES *.po)
	FILE (GLOB SOURCES ../src/*.c)

	ADD_CUSTOM_TARGET(translations ALL)

	ADD_CUSTOM_COMMAND(TARGET translations
		COMMAND ${XGETTEXT} -o sakura.pot --keyword=_ --keyword=N_ --no-location --from-code=utf-8 ${SOURCES} 
		DEPENDS ${_poFile})
	FOREACH(_poFile ${PO_FILES})
		GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
		SET(_moFile ${_lang}.mo)
		ADD_CUSTOM_COMMAND(TARGET translations 
				COMMAND ${MSGMERGE} -q -U ${_poFile} --backup=none sakura.pot
				COMMAND ${MSGFMT} --check -o ${_moFile} ${_poFile} 
				DEPENDS ${_poFile})
		INSTALL(FILES ${CMAKE_BINARY_DIR}/po/${_moFile}
			   	DESTINATION share/locale/${_lang}/LC_MESSAGES/
			   	RENAME ${catalogname}.mo)
	ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT MSGFMT)

## sakura 2.3.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ENDIF (COMMAND CMAKE_POLICY)	
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "2.3.4")
+SET (VERSION "2.3.7")
 
 
 INCLUDE (FindPkgConfig)
@@ -28,6 +28,9 @@
 	MESSAGE(FATAL_ERROR "You don't seem to have vte >= 0.16.15 development libraries installed...")
 ENDIF (NOT VTE_FOUND)
 
+FIND_PROGRAM(POD2MAN pod2man)	
+MESSAGE ("pod2man executable is" ${POD2MAN})	
+
 ADD_DEFINITIONS (-DVERSION=\\\"${VERSION}\\\")
 ADD_DEFINITIONS (-DDATADIR=\\\"${CMAKE_INSTALL_PREFIX}/share\\\")
 ADD_DEFINITIONS (-DBUILDTYPE=\\\"${CMAKE_BUILD_TYPE}\\\")
@@ -49,6 +52,9 @@
 INSTALL (TARGETS sakura RUNTIME DESTINATION bin)	
 INSTALL (FILES sakura.desktop DESTINATION share/applications)
 INSTALL (FILES terminal-tango.svg DESTINATION share/pixmaps)
+IF (POD2MAN)	
+	INSTALL (FILES ${sakura_BINARY_DIR}/sakura.1 DESTINATION share/man/man1)	
+ENDIF (POD2MAN)
 INSTALL (FILES INSTALL DESTINATION share/doc/sakura)	
 
 FILE (GLOB MO_FILES po/*.mo)
@@ -58,6 +64,11 @@
 SET (EXECUTABLE_OUTPUT_PATH src)
 
 ADD_CUSTOM_TARGET (distclean
-	rm -f Makefile cmake_install.cmake CMakeCache.txt install_manifest.txt
+	rm -f Makefile cmake_install.cmake CMakeCache.txt install_manifest.txt sakura.1
 	COMMAND rm -f po/*.mo po/sakura.pot po/Makefile po/cmake_install.cmake 
 	COMMAND rm -rf CMakeFiles po/CMakeFiles)
+
+IF (POD2MAN) 
+ADD_CUSTOM_TARGET(man ALL
+	COMMAND ${POD2MAN} -u --section=1 --release=${VERSION} --center '' ${sakura_SOURCE_DIR}/sakura.pod sakura.1)
+ENDIF (POD2MAN)

=== debian/changelog ===
sakura (2.3.7-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 08 Mar 2010 18:36:28 -0500

sakura (2.3.6-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.8.4
  * Moved to DebSrc version 3.0 (quilt).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 16 Feb 2010 23:10:30 -0500

sakura (2.3.5-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Drop debian/sakura.pod, manpage included upstream.
  * Drop debian/patches/10_desktopfile_validate, incuded upstream. 
  * debain/{rules, control}:
   - Drop quilt.
   - Move to dh 7
  * debian/control:
   - Bump Standards-Version to 3.8.3
   - Drop old Vcs fields. Now maintained directly in lp:ubuntu/sakura
  * debian/copyright: Update Dep-5 compliance.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 14 Dec 2009 14:35:00 -0500

sakura (2.3.4-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #384711)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 23 Jun 2009 23:58:16 -0400

=== debian/control ===
Source: sakura
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
Build-Depends:	debhelper (>= 7.0.50~),
		cmake,
		perl,
		libgtk2.0-dev (>= 2.10),
		libvte-dev (>= 1:0.16.15)
Standards-Version: 3.8.4
Vcs-Bzr: lp:ubuntu/sakura
Homepage: http://www.pleyades.net/david/sakura.php

Package: sakura
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-terminal-emulator
Description: simple but powerful libvte-based terminal emulator
 Sakura is a terminal emulator based on GTK+ and VTE. It's a
 terminal emulator with few dependencies, so you don't need a
 full GNOME desktop installed to have a decent terminal emulator.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')

get-orig-source:
	rm -rf $@
	mkdir -p $@
	cd $@ && wget http://www.pleyades.net/david/projects/sakura/$(PACKAGE)-$(VERSION).tar.gz
	cd $@ && mv $(PACKAGE)-$(VERSION).tar.gz ../../$(PACKAGE)_$(VERSION).orig.tar.gz
	rm -r $@

%:
	dh $@

override_dh_auto_configure:
	cmake -DCMAKE_INSTALL_PREFIX=/usr

override_dh_install:
	dh_install
	rm -f debian/sakura/usr/share/doc/sakura/INSTALL

## sakura 2.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ENDIF (COMMAND CMAKE_POLICY)	
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "2.3.7")
+SET (VERSION "2.3.8")
 
 
 INCLUDE (FindPkgConfig)

=== debian/changelog ===
sakura (2.3.8-1) unstable; urgency=low

  * Initial Debian release. (Closes: #467375)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 18 May 2010 12:54:42 -0400

sakura (2.3.8-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Deleate un-needed debian/README.source file.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 15 May 2010 14:08:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: sakura
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
+Maintainer: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
+Uploaders: Andrew Lee <ajqlee@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends:	debhelper (>= 7.0.50~),
 		cmake,
 		perl,
 		libgtk2.0-dev (>= 2.10),
 		libvte-dev (>= 1:0.16.15)
 Standards-Version: 3.8.4
-Vcs-Bzr: lp:ubuntu/sakura
+Vcs-Bzr: https://code.launchpad.net/~andrewsomething/sakura/debian
+Vcs-Browser: http://bazaar.launchpad.net/~andrewsomething/sakura/debian/files
 Homepage: http://www.pleyades.net/david/sakura.php
 
 Package: sakura

## sakura 2.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ENDIF (COMMAND CMAKE_POLICY)	
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "2.3.8")
+SET (VERSION "2.4.2")
 
 
 INCLUDE (FindPkgConfig)
@@ -13,19 +13,19 @@
 	MESSAGE (FATAL_ERROR "pkg-config not found...")
 ENDIF (NOT PKG_CONFIG_FOUND)
 
-pkg_check_modules (GLIB REQUIRED glib-2.0>=2.14)
+pkg_check_modules (GLIB REQUIRED glib-2.0>=2.20)
 IF (NOT GLIB_FOUND)
-	MESSAGE(FATAL_ERROR "You don't seem to have glib >= 2.14 development libraries installed...")
+	MESSAGE(FATAL_ERROR "You don't seem to have glib >= 2.20 development libraries installed...")
 ENDIF (NOT GLIB_FOUND)
 
-pkg_check_modules (GTK REQUIRED gtk+-2.0>=2.10)
+pkg_check_modules (GTK REQUIRED gtk+-2.0>=2.16)
 IF (NOT GTK_FOUND)
-	MESSAGE(FATAL_ERROR "You don't seem to have gtk >= 2.10 development libraries installed...")
+	MESSAGE(FATAL_ERROR "You don't seem to have gtk >= 2.16 development libraries installed...")
 ENDIF (NOT GTK_FOUND)
 
-pkg_check_modules (VTE REQUIRED vte>=0.16.15)
+pkg_check_modules (VTE REQUIRED vte>=0.26)
 IF (NOT VTE_FOUND)
-	MESSAGE(FATAL_ERROR "You don't seem to have vte >= 0.16.15 development libraries installed...")
+	MESSAGE(FATAL_ERROR "You don't seem to have vte >= 0.26 development libraries installed...")
 ENDIF (NOT VTE_FOUND)
 
 FIND_PROGRAM(POD2MAN pod2man)

=== debian/changelog ===
sakura (2.4.2-1) unstable; urgency=low

  [ Norbert Preining ]
  * Change the vcs locations in debian/control.

  [ Andrew Starr-Bochicchio ]
  * New upstream release.
  * debian/control:
   - Bump Standards-Version to 3.9.2, no changes needed.
   - Bump libgtk2.0-dev and libvte-dev build deps.
   - Update Vcs-Browser field again due to Aloith changes.  

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 02 Aug 2011 14:33:44 -0400

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends:	debhelper (>= 7.0.50~),
 		cmake,
 		perl,
-		libgtk2.0-dev (>= 2.10),
-		libvte-dev (>= 1:0.16.15)
-Standards-Version: 3.8.4
-Vcs-Bzr: https://code.launchpad.net/~andrewsomething/sakura/debian
-Vcs-Browser: http://bazaar.launchpad.net/~andrewsomething/sakura/debian/files
+		libgtk2.0-dev (>= 2.16),
+		libvte-dev (>= 1:0.26)
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/git/collab-maint/sakura.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sakura.git;a=summary
 Homepage: http://www.pleyades.net/david/sakura.php
 
 Package: sakura

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,5 @@
 
 override_dh_install:
 	dh_install
+	dh_install debian/terminal-tango.xpm $(DESTDIR)/usr/share/pixmaps
 	rm -f debian/sakura/usr/share/doc/sakura/INSTALL

=== debian/watch ===
# Unfortunately, the location of the upstream tarballs does not
# allow uscan to query it, returning a 403 Forbidden.
#
# A get-orig-source target has be provided in debian/rules. 
#
# version=3
# http://www.pleyades.net/david/projects/sakura/sakura-(.*)\.tar\.gz

## sakura 3.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ENDIF (COMMAND CMAKE_POLICY)	
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "2.4.2")
+SET (VERSION "3.0.3")
 
 
 INCLUDE (FindPkgConfig)
@@ -18,14 +18,14 @@
 	MESSAGE(FATAL_ERROR "You don't seem to have glib >= 2.20 development libraries installed...")
 ENDIF (NOT GLIB_FOUND)
 
-pkg_check_modules (GTK REQUIRED gtk+-2.0>=2.16)
+pkg_check_modules (GTK REQUIRED gtk+-3.0)
 IF (NOT GTK_FOUND)
-	MESSAGE(FATAL_ERROR "You don't seem to have gtk >= 2.16 development libraries installed...")
+	MESSAGE(FATAL_ERROR "You don't seem to have gtk >= 3.0 development libraries installed...")
 ENDIF (NOT GTK_FOUND)
 
-pkg_check_modules (VTE REQUIRED vte>=0.26)
+pkg_check_modules (VTE REQUIRED vte-2.90>=0.28)
 IF (NOT VTE_FOUND)
-	MESSAGE(FATAL_ERROR "You don't seem to have vte >= 0.26 development libraries installed...")
+	MESSAGE(FATAL_ERROR "You don't seem to have vte >= 2.90 development libraries installed...")
 ENDIF (NOT VTE_FOUND)
 
 FIND_PROGRAM(POD2MAN pod2man)	
@@ -36,14 +36,14 @@
 ADD_DEFINITIONS (-DBUILDTYPE=\\\"${CMAKE_BUILD_TYPE}\\\")
 
 IF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
-	SET (CMAKE_C_FLAGS "-Wall")
+	SET (CMAKE_C_FLAGS "-Wall ")
 ELSE (${CMAKE_BUILD_TYPE} NOT MATCHES "Debug")
-	SET (CMAKE_C_FLAGS "-O2")
+	SET (CMAKE_C_FLAGS "-O2 -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED")
 ENDIF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
 
 INCLUDE_DIRECTORIES (. ${GTK_INCLUDE_DIRS} ${VTE_INCLUDE_DIRS})
 LINK_DIRECTORIES (${GTK_LIBRARY_DIRS} ${VTE_LIBRARY_DIRS})
-LINK_LIBRARIES (${GTK_LIBRARIES} ${VTE_LIBRARIES})
+LINK_LIBRARIES (${GTK_LIBRARIES} ${VTE_LIBRARIES} m)
 ADD_EXECUTABLE (sakura src/sakura.c)
 ADD_DEPENDENCIES (sakura src/sakura.c src/sakura.h)

=== debian/changelog ===
sakura (3.0.3-2ubuntu0.1) precise-proposed; urgency=low

  * Drop fix_FTBFS4Hurd.patch; not needed for Ubuntu
    and introduces a bug where opening a new tab does
    not keep the working directory (LP: #977232).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 03 May 2012 02:43:19 -0400

sakura (3.0.3-2) unstable; urgency=low

  * close-right-page-on-child-exit.patch: When a child process
    exits, sakura closes the current notebook page, which can
    be different from the page in which the child process was
    actually running. Thanks to Thibaut Girka! (Closes: #668988)
  * retain-opacity-level.patch: Backport fix for opacity setting
    not being retained on tab creation. (LP: #969294)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 17 Apr 2012 21:26:43 -0400

sakura (3.0.3-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update for 1.0 release of the
    machine-readable format. 
  * Drop fix_login_option.patch, applied upstream.
  * debian/control: Update build dependencies,
    use libgtk-3-dev and libvte-2.90-dev.
  * Update Standards-Version to 3.9.3, no changes needed.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 30 Mar 2012 11:02:58 -0400

sakura (2.4.2-4) unstable; urgency=low

  * Fix FTBFS on Hurd. This patch solves the build problems
    for GNU/Hurd due to PATH_MAX issues. The solution is to
    make dynamic string allocations instead of using fixed
    length buffers. Thanks to Tanguy LE CARROUR. (Closes: #887105)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 12 Feb 2012 11:39:31 -0500

sakura (2.4.2-3) unstable; urgency=low

  * set DM-Upload-Allowed to yes

 -- Norbert Preining <preining@debian.org>  Wed, 25 Jan 2012 13:17:04 +0900

sakura (2.4.2-2) unstable; urgency=low

  * debian/copyright:
   - License was mistakenly noted as GPL-2+. This was incorrect.
     It should simply be  GPL-2 (Closes: #638971). Thanks to
     Wen-Yen Chuang.
   - Update to respect current DEP-5 spec.
  * debian/control:
   - Correct homepage field for new url (Closes: #648363).
   - Run wrap-and-sort to clean up white space.
  * debian/patches/fix_login_option.patch: Backport fix from upstream
    vcs for broken --login option (Closes: #639652, LP: #887105). 
  * debian/{watch, rules}: Upstream now hosts releases in a location
    that uscan can find. Update watch file to look in the right location
    and remove now un-needed get-orig-source target.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 23 Aug 2011 09:06:41 -0400

=== debian/control ===
Source: sakura
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
Uploaders: Andrew Lee <ajqlee@debian.org>,
           Norbert Preining <preining@debian.org>
DM-Upload-Allowed: yes
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               libgtk-3-dev,
               libvte-2.90-dev,
               perl
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/sakura.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sakura.git;a=summary
Homepage: http://www.pleyades.net/david/projects/sakura

Package: sakura
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-terminal-emulator
Description: simple but powerful libvte-based terminal emulator
 Sakura is a terminal emulator based on GTK+ and VTE. It's a
 terminal emulator with few dependencies, so you don't need a
 full GNOME desktop installed to have a decent terminal emulator.

=== debian/watch ===
version=3
https://launchpad.net/sakura/+download http://launchpad.net/sakura/.*/sakura-(.*)\.tar\.bz2

## sakura 3.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ENDIF (COMMAND CMAKE_POLICY)	
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.0.3")
+SET (VERSION "3.0.4")
 
 
 INCLUDE (FindPkgConfig)

=== debian/changelog ===
sakura (3.0.4-2) unstable; urgency=low

  * debian/patches: Drop all disabled patches and
    close-right-page-on-child-exit.patch, it was also
    applied upstream.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 03 May 2012 02:20:08 -0400

sakura (3.0.4-1) unstable; urgency=low

  * new upstream release:
    . disabled patches: dynamic-cwd-path.patch (LP: #977232) (see below
      for details), retain-opacity-level.patch
  * unfuzzified: close-right-page-on-child-exit.patch

 -- Norbert Preining <preining@debian.org>  Tue, 01 May 2012 09:50:33 +0900

sakura (3.0.3-3) UNRELEASED; urgency=low

  * dynamic-cwd-path.patch: replaces fix_FTBFS4Hurd.patch, patch by
    Sebastian Reichel. Better dynamic string allocation handling
    for PATH_MAX. This patch also fixes the not keeping cwd in new
    tabs bug (LP: #977232)

 -- Norbert Preining <preining@debian.org>  Tue, 01 May 2012 08:49:14 +0900

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	cmake -DCMAKE_INSTALL_PREFIX=/usr

override_dh_install:
	dh_install
	dh_install debian/terminal-tango.xpm $(DESTDIR)/usr/share/pixmaps
	rm -f debian/sakura/usr/share/doc/sakura/INSTALL

## sakura 3.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ENDIF (COMMAND CMAKE_POLICY)	
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.0.4")
+SET (VERSION "3.1.0")
 
 
 INCLUDE (FindPkgConfig)
@@ -36,9 +36,9 @@
 ADD_DEFINITIONS (-DBUILDTYPE=\\\"${CMAKE_BUILD_TYPE}\\\")
 
 IF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
-	SET (CMAKE_C_FLAGS "-Wall ")
+	SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
 ELSE (${CMAKE_BUILD_TYPE} NOT MATCHES "Debug")
-	SET (CMAKE_C_FLAGS "-O2 -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED")
+	SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2 -Wno-deprecated-declarations -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED")
 ENDIF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
 
 INCLUDE_DIRECTORIES (. ${GTK_INCLUDE_DIRS} ${VTE_INCLUDE_DIRS})

=== debian/changelog ===
sakura (3.1.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Drop deprecated DM-Upload-Allowed field and use my
    @debian.org address in the Maintainer field.
  * Bump debian/compat to 9.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 27 Jun 2013 12:24:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: sakura
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
+Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
 Uploaders: Andrew Lee <ajqlee@debian.org>,
            Norbert Preining <preining@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: cmake,
-               debhelper (>= 7.0.50~),
+               debhelper (>= 9),
                libgtk-3-dev,
                libvte-2.90-dev,
                perl
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/collab-maint/sakura.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sakura.git;a=summary
 Homepage: http://www.pleyades.net/david/projects/sakura

## sakura 3.1.1

=== debian/changelog ===
sakura (3.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #714860).
  * Use anonscm.debian.org in the Vcs-Git field to
    please lintian.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 23 Nov 2013 12:03:25 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libvte-2.90-dev,
                perl
 Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/collab-maint/sakura.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/sakura.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sakura.git;a=summary
 Homepage: http://www.pleyades.net/david/projects/sakura

## sakura 3.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ENDIF (COMMAND CMAKE_POLICY)	
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.1.0")
+SET (VERSION "3.1.3")
 
 
 INCLUDE (FindPkgConfig)
@@ -38,7 +38,7 @@
 IF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
 	SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
 ELSE (${CMAKE_BUILD_TYPE} NOT MATCHES "Debug")
-	SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2 -Wno-deprecated-declarations -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED")
+	SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2 -Wno-deprecated-declarations")
 ENDIF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
 
 INCLUDE_DIRECTORIES (. ${GTK_INCLUDE_DIRS} ${VTE_INCLUDE_DIRS})

=== debian/changelog ===
sakura (3.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 24 Dec 2013 15:39:51 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libgtk-3-dev,
                libvte-2.90-dev,
                perl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/sakura.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sakura.git;a=summary
 Homepage: http://www.pleyades.net/david/projects/sakura

## sakura 3.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ENDIF (COMMAND CMAKE_POLICY)	
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.1.3")
+SET (VERSION "3.1.4")
 
 
 INCLUDE (FindPkgConfig)
@@ -23,7 +23,7 @@
 	MESSAGE(FATAL_ERROR "You don't seem to have gtk >= 3.0 development libraries installed...")
 ENDIF (NOT GTK_FOUND)
 
-pkg_check_modules (VTE REQUIRED vte-2.90>=0.28)
+pkg_check_modules (VTE REQUIRED vte-2.90)
 IF (NOT VTE_FOUND)
 	MESSAGE(FATAL_ERROR "You don't seem to have vte >= 2.90 development libraries installed...")
 ENDIF (NOT VTE_FOUND)

=== debian/changelog ===
sakura (3.1.4-1) unstable; urgency=medium

  * New upstream release (Closes: #756568).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 03 Aug 2014 11:41:02 -0400

## sakura 3.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ENDIF (COMMAND CMAKE_POLICY)	
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.1.4")
+SET (VERSION "3.1.5")
 
 
 INCLUDE (FindPkgConfig)

=== debian/changelog ===
sakura (3.1.5-1) unstable; urgency=medium

  * New upstream release (Closes: #760647).
  * 0001-Add-Keywords-field-to-desktop-file.patch:
   - Add 'terminal' to desktop file keywords.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 06 Sep 2014 17:57:08 -0400

## sakura 3.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ENDIF (COMMAND CMAKE_POLICY)	
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.1.5")
+SET (VERSION "3.2.0")
 
 
 INCLUDE (FindPkgConfig)

=== debian/changelog ===
sakura (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * 0002-Add-xterm-title-option.patch: Add support for a hidden
    'T'/'xterm-title' option for xterm compatibility (Closes: #782396).
  * debian/control: Bump Standards-Version to 3.9.6, no changes.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 10 May 2015 13:17:22 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libgtk-3-dev,
                libvte-2.90-dev,
                perl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/sakura.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sakura.git;a=summary
 Homepage: http://www.pleyades.net/david/projects/sakura

## sakura 3.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ENDIF (COMMAND CMAKE_POLICY)	
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.2.0")
+SET (VERSION "3.3.0")
 
 
 INCLUDE (FindPkgConfig)
@@ -13,19 +13,19 @@
 	MESSAGE (FATAL_ERROR "pkg-config not found...")
 ENDIF (NOT PKG_CONFIG_FOUND)
 
-pkg_check_modules (GLIB REQUIRED glib-2.0>=2.20)
+pkg_check_modules (GLIB REQUIRED glib-2.0>=2.42)
 IF (NOT GLIB_FOUND)
-	MESSAGE(FATAL_ERROR "You don't seem to have glib >= 2.20 development libraries installed...")
+	MESSAGE(FATAL_ERROR "You don't seem to have glib >= 2.42 development libraries installed...")
 ENDIF (NOT GLIB_FOUND)
 
-pkg_check_modules (GTK REQUIRED gtk+-3.0)
+pkg_check_modules (GTK REQUIRED gtk+-3.0>=3.14)
 IF (NOT GTK_FOUND)
-	MESSAGE(FATAL_ERROR "You don't seem to have gtk >= 3.0 development libraries installed...")
+	MESSAGE(FATAL_ERROR "You don't seem to have gtk >= 3.14 development libraries installed...")
 ENDIF (NOT GTK_FOUND)
 
-pkg_check_modules (VTE REQUIRED vte-2.90)
+pkg_check_modules (VTE REQUIRED vte-2.91)
 IF (NOT VTE_FOUND)
-	MESSAGE(FATAL_ERROR "You don't seem to have vte >= 2.90 development libraries installed...")
+	MESSAGE(FATAL_ERROR "You don't seem to have vte >= 2.91 development libraries installed...")
 ENDIF (NOT VTE_FOUND)
 
 FIND_PROGRAM(POD2MAN pod2man)	
@@ -45,7 +45,6 @@
 LINK_DIRECTORIES (${GTK_LIBRARY_DIRS} ${VTE_LIBRARY_DIRS})
 LINK_LIBRARIES (${GTK_LIBRARIES} ${VTE_LIBRARIES} m)
 ADD_EXECUTABLE (sakura src/sakura.c)
-ADD_DEPENDENCIES (sakura src/sakura.c src/sakura.h)
 
 ADD_SUBDIRECTORY (po)

## sakura 3.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ENDIF (COMMAND CMAKE_POLICY)	
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.3.0")
+SET (VERSION "3.3.4")
 
 
 INCLUDE (FindPkgConfig)
@@ -15,12 +15,12 @@
 
 pkg_check_modules (GLIB REQUIRED glib-2.0>=2.42)
 IF (NOT GLIB_FOUND)
-	MESSAGE(FATAL_ERROR "You don't seem to have glib >= 2.42 development libraries installed...")
+	MESSAGE(FATAL_ERROR "You don't seem to have glib >= 2.40 development libraries installed...")
 ENDIF (NOT GLIB_FOUND)
 
 pkg_check_modules (GTK REQUIRED gtk+-3.0>=3.14)
 IF (NOT GTK_FOUND)
-	MESSAGE(FATAL_ERROR "You don't seem to have gtk >= 3.14 development libraries installed...")
+	MESSAGE(FATAL_ERROR "You don't seem to have gtk >= 3.12 development libraries installed...")
 ENDIF (NOT GTK_FOUND)
 
 pkg_check_modules (VTE REQUIRED vte-2.91)

=== debian/changelog ===
sakura (3.3.4-1) unstable; urgency=medium

  * Imported Upstream version 3.3.4
  * Make cmake build use verbose flag
  * Fix lintian warning vcs-field-uses-insecure-uri
  * Add hardening fortify flags to build flags
  * Remove Norbert Preining and Andrew Lee from uploaders, and
    add myself

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 11 Feb 2016 17:54:19 +0100

sakura (3.3.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Imported Upstream version 3.3.0
  * Remove patch 0002-Add-xterm-title-option.patch, already applied upstream
  * Require version 2.91 of libvte
  * Drop menu system, desktop file already present

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 10 Oct 2015 19:51:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: x11
 Priority: optional
 Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
-Uploaders: Andrew Lee <ajqlee@debian.org>,
-           Norbert Preining <preining@debian.org>
+Uploaders: Andreas Rönnquist <gusnan@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                libgtk-3-dev,
-               libvte-2.90-dev,
+               libvte-2.91-dev,
                perl
 Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/sakura.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sakura.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/sakura.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/sakura.git;a=summary
 Homepage: http://www.pleyades.net/david/projects/sakura
 
 Package: sakura

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+fortify

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_VERBOSE_MAKEFILE=1

override_dh_install:
	dh_install
	rm -f debian/sakura/usr/share/doc/sakura/INSTALL

## sakura 3.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ENDIF (COMMAND CMAKE_POLICY)	
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.3.4")
+SET (VERSION "3.4.0")
 
 
 INCLUDE (FindPkgConfig)
@@ -13,12 +13,12 @@
 	MESSAGE (FATAL_ERROR "pkg-config not found...")
 ENDIF (NOT PKG_CONFIG_FOUND)
 
-pkg_check_modules (GLIB REQUIRED glib-2.0>=2.42)
+pkg_check_modules (GLIB REQUIRED glib-2.0>=2.40)
 IF (NOT GLIB_FOUND)
 	MESSAGE(FATAL_ERROR "You don't seem to have glib >= 2.40 development libraries installed...")
 ENDIF (NOT GLIB_FOUND)
 
-pkg_check_modules (GTK REQUIRED gtk+-3.0>=3.14)
+pkg_check_modules (GTK REQUIRED gtk+-3.0>=3.12)
 IF (NOT GTK_FOUND)
 	MESSAGE(FATAL_ERROR "You don't seem to have gtk >= 3.12 development libraries installed...")
 ENDIF (NOT GTK_FOUND)
@@ -27,6 +27,11 @@
 IF (NOT VTE_FOUND)
 	MESSAGE(FATAL_ERROR "You don't seem to have vte >= 2.91 development libraries installed...")
 ENDIF (NOT VTE_FOUND)
+
+pkg_check_modules (X11 REQUIRED x11)
+IF (NOT X11_FOUND)
+	MESSAGE(FATAL_ERROR "You don't seem to have x11 development libraries installed...")
+ENDIF (NOT X11_FOUND)
 
 FIND_PROGRAM(POD2MAN pod2man)	
 MESSAGE ("pod2man executable is" ${POD2MAN})	
@@ -42,8 +47,8 @@
 ENDIF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
 
 INCLUDE_DIRECTORIES (. ${GTK_INCLUDE_DIRS} ${VTE_INCLUDE_DIRS})
-LINK_DIRECTORIES (${GTK_LIBRARY_DIRS} ${VTE_LIBRARY_DIRS})
-LINK_LIBRARIES (${GTK_LIBRARIES} ${VTE_LIBRARIES} m)
+LINK_DIRECTORIES (${GTK_LIBRARY_DIRS} ${VTE_LIBRARY_DIRS} ${X11_LIBRARY_DIRS})
+LINK_LIBRARIES (${GTK_LIBRARIES} ${VTE_LIBRARIES} ${X11_LIBRARIES} m)
 ADD_EXECUTABLE (sakura src/sakura.c)
 
 ADD_SUBDIRECTORY (po)

=== debian/changelog ===
sakura (3.4.0-3) unstable; urgency=medium

  * Add patch fix_clean_urgent_hint_on_focus_chaage.patch (LP: #1542585)

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 06 Mar 2017 10:43:39 +0100

sakura (3.4.0-2) unstable; urgency=medium

  * Fix typos in changelog

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 10 Jan 2017 17:39:25 +0100

sakura (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * Remove patch expand_and_ellipsize_tabs.patch, applied upstream

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 09 Jan 2017 18:25:18 +0100

sakura (3.3.4-3) unstable; urgency=medium

  * Add patch expand_and_ellipsize_tabs.patch - makes the window
    not resize when more tabs are added (Closes: #841486)
  * Update Standards-Version to 3.9.8 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 02 Dec 2016 21:15:29 +0100

sakura (3.3.4-2) unstable; urgency=medium

  * Update copyright
  * Use all hardening flags in build

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 14 Feb 2016 11:30:25 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libgtk-3-dev,
                libvte-2.91-dev,
                perl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/sakura.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/sakura.git;a=summary
 Homepage: http://www.pleyades.net/david/projects/sakura

## sakura 3.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ENDIF (COMMAND CMAKE_POLICY)	
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.4.0")
+SET (VERSION "3.5.0")
 
 
 INCLUDE (FindPkgConfig)

=== debian/changelog ===
sakura (3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0
  * Add patch fix_exporting_WINDOWID_on_X11.patch ,
    re-enabling exporting WindowID on X11, (Closes: #875763)
  * Remove patch fix_clean_urgent_hint_on_focus_change, applied upstream
  * Remove patch fix_running_under_wayland.patch, applied upstream

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 14 Sep 2017 18:10:57 +0200

sakura (3.4.0-5) unstable; urgency=medium

  * Add patch to fix running under wayland (Closes: #872814)
    -- fix_running_under_wayland.patch
  * Fix typo in Debian changelog

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 22 Aug 2017 03:19:57 +0200

sakura (3.4.0-4) unstable; urgency=medium

  * Add patch fix setting cursor color (Closes: #864435)
  * Update copyright year
  * Update Standards version to 4.0.0

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 21 Jun 2017 14:04:19 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libgtk-3-dev,
                libvte-2.91-dev,
                perl
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/sakura.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/sakura.git;a=summary
 Homepage: http://www.pleyades.net/david/projects/sakura

## sakura 3.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,8 @@
 CMAKE_MINIMUM_REQUIRED (VERSION 2.4 FATAL_ERROR)
-IF (COMMAND CMAKE_POLICY)	
-	CMAKE_POLICY(SET CMP0005 OLD)
-ENDIF (COMMAND CMAKE_POLICY)	
+CMAKE_POLICY(SET CMP0005 NEW)
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.5.0")
+SET (VERSION "3.6.0")
 
 
 INCLUDE (FindPkgConfig)
@@ -18,14 +16,14 @@
 	MESSAGE(FATAL_ERROR "You don't seem to have glib >= 2.40 development libraries installed...")
 ENDIF (NOT GLIB_FOUND)
 
-pkg_check_modules (GTK REQUIRED gtk+-3.0>=3.12)
+pkg_check_modules (GTK REQUIRED gtk+-3.0>=3.20)
 IF (NOT GTK_FOUND)
-	MESSAGE(FATAL_ERROR "You don't seem to have gtk >= 3.12 development libraries installed...")
+	MESSAGE(FATAL_ERROR "You don't seem to have gtk >= 3.20 development libraries installed...")
 ENDIF (NOT GTK_FOUND)
 
-pkg_check_modules (VTE REQUIRED vte-2.91)
+pkg_check_modules (VTE REQUIRED vte-2.91>=0.50)
 IF (NOT VTE_FOUND)
-	MESSAGE(FATAL_ERROR "You don't seem to have vte >= 2.91 development libraries installed...")
+	MESSAGE(FATAL_ERROR "You don't seem to have vte >= 0.50 development libraries installed...")
 ENDIF (NOT VTE_FOUND)
 
 pkg_check_modules (X11 REQUIRED x11)
@@ -36,9 +34,9 @@
 FIND_PROGRAM(POD2MAN pod2man)	
 MESSAGE ("pod2man executable is" ${POD2MAN})	
 
-ADD_DEFINITIONS (-DVERSION=\\\"${VERSION}\\\")
-ADD_DEFINITIONS (-DDATADIR=\\\"${CMAKE_INSTALL_PREFIX}/share\\\")
-ADD_DEFINITIONS (-DBUILDTYPE=\\\"${CMAKE_BUILD_TYPE}\\\")
+ADD_DEFINITIONS (-DVERSION="${VERSION}")
+ADD_DEFINITIONS (-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
+ADD_DEFINITIONS (-DBUILDTYPE="${CMAKE_BUILD_TYPE}")
 
 IF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
 	SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")

=== debian/changelog ===
sakura (3.6.0-3) unstable; urgency=medium

  * Refresh patches
  * Add patch to fix building with libvte 0.54 (Closes: #909744)

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 27 Sep 2018 19:40:14 +0200

sakura (3.6.0-2) unstable; urgency=medium

  * Build-dep on libpcre2-dev (Closes: #906984)
  * Remove a newline at end of d/changelog

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 22 Aug 2018 22:20:27 +0200

sakura (3.6.0-1) unstable; urgency=medium

  * New upstream version 3.6.0
  * Remove patches, either applied upstream, or invalidated by changes upstream
    - Fix-setting-cursor-color-after-other-colors.patch,
    - fix_exporting_WINDOWID_on_X11.patch
  * Fix lintian warning insecure-copyright-format-uri
  * Migrate to using Debhelper 11
  * Add upstream metadata file

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 03 May 2018 00:36:38 +0200

sakura (3.5.0-2) unstable; urgency=medium

  * Migrate Git repo to salsa.debian.org
  * Default to pristine-tar
  * Use DEP-14 branch naming
  * Remove trailing whitespace in changelog

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 12 Apr 2018 15:30:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
 Uploaders: Andreas Rönnquist <gusnan@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 11),
                libgtk-3-dev,
+               libpcre2-dev,
                libvte-2.91-dev,
                perl
 Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/sakura.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/sakura.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/sakura.git
+Vcs-Browser: https://salsa.debian.org/debian/sakura
 Homepage: http://www.pleyades.net/david/projects/sakura
 
 Package: sakura

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+fortify
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)

## sakura 3.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 CMAKE_POLICY(SET CMP0005 NEW)
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.6.0")
+SET (VERSION "3.7.0")
 
 
 INCLUDE (FindPkgConfig)

=== debian/changelog ===
sakura (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0
  * Remove 0002-Fixed-crash-with-vte-0.54-Bug-1790317.patch
    - applied upstream
  * Upgrade to Standards-Verion 4.4.0 (No changes required)
  * Upgrade to debhelper compat level 12

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 16 Aug 2019 11:02:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
 Uploaders: Andreas Rönnquist <gusnan@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                libgtk-3-dev,
                libpcre2-dev,
                libvte-2.91-dev,
                perl
-Standards-Version: 4.0.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/sakura.git
 Vcs-Browser: https://salsa.debian.org/debian/sakura
 Homepage: http://www.pleyades.net/david/projects/sakura

=== debian/watch ===
version=3
https://launchpad.net/sakura/ \
.*/\+download/sakura(?:-|\.|_|_v)(\d\S*)[\._](?:tar\.xz|tar\.bz2|tar\.gz)

## sakura 3.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 CMAKE_POLICY(SET CMP0005 NEW)
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.7.0")
+SET (VERSION "3.7.1")
 
 
 INCLUDE (FindPkgConfig)

=== debian/changelog ===
sakura (3.7.1-2) unstable; urgency=medium

  * Add patch to fix manpage shortcut for next/prev tab from Alt
    to Ctrl (Closes: #933734)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 17 May 2020 23:53:28 +0200

sakura (3.7.1-1) unstable; urgency=medium

  * New upstream version 3.7.1
  * Bump Debhelper-compat to 13
  * Upgrade Standards Version to 4.5.0

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 10 May 2020 12:45:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
 Uploaders: Andreas Rönnquist <gusnan@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libgtk-3-dev,
                libpcre2-dev,
                libvte-2.91-dev,
                perl
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/sakura.git
 Vcs-Browser: https://salsa.debian.org/debian/sakura
 Homepage: http://www.pleyades.net/david/projects/sakura

## sakura 3.8.3

=== debian/changelog ===
sakura (3.8.3-1) unstable; urgency=medium

  * New upstream version 3.8.3
    - Fixes typo in manual page (Ctrl + [1-9] for switching tabs)
      (Closes: #987357)
    - Fix Solarized dark palette no longer different from Solarized light
      (Closes: #940233)
  * Remove patch
    0002-Fix-manpage-shortcut-for-next-prev-tab-from-Alt-to-C.patch,
    applied upstream
  * Make sure dh_clean removes src/sakura
  * Update Standards Version to 4.5.1 (No changes required)
  * Update watch file to version 4
  * Add field Rules-Requires-Root: no

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 16 Aug 2021 22:58:55 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
                libpcre2-dev,
                libvte-2.91-dev,
                perl
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/sakura.git
 Vcs-Browser: https://salsa.debian.org/debian/sakura
 Homepage: http://www.pleyades.net/david/projects/sakura

## sakura 3.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 CMAKE_POLICY(SET CMP0005 NEW)
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.7.1")
+SET (VERSION "3.8.3")
 
 
 INCLUDE (FindPkgConfig)
@@ -31,8 +31,8 @@
 	MESSAGE(FATAL_ERROR "You don't seem to have x11 development libraries installed...")
 ENDIF (NOT X11_FOUND)
 
-FIND_PROGRAM(POD2MAN pod2man)	
-MESSAGE ("pod2man executable is" ${POD2MAN})	
+FIND_PROGRAM(POD2MAN pod2man)
+MESSAGE ("pod2man executable is" ${POD2MAN})
 
 ADD_DEFINITIONS (-DVERSION="${VERSION}")
 ADD_DEFINITIONS (-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
@@ -51,13 +51,13 @@
 
 ADD_SUBDIRECTORY (po)
 
-INSTALL (TARGETS sakura RUNTIME DESTINATION bin)	
+INSTALL (TARGETS sakura RUNTIME DESTINATION bin)
 INSTALL (FILES sakura.desktop DESTINATION share/applications)
 INSTALL (FILES terminal-tango.svg DESTINATION share/pixmaps)
-IF (POD2MAN)	
-	INSTALL (FILES ${sakura_BINARY_DIR}/sakura.1 DESTINATION share/man/man1)	
+IF (POD2MAN)
+	INSTALL (FILES ${sakura_BINARY_DIR}/sakura.1 DESTINATION share/man/man1)
 ENDIF (POD2MAN)
-INSTALL (FILES INSTALL DESTINATION share/doc/sakura)	
+INSTALL (FILES README.md DESTINATION share/doc/sakura)
 
 FILE (GLOB MO_FILES po/*.mo)
 
@@ -67,10 +67,10 @@
 
 ADD_CUSTOM_TARGET (distclean
 	rm -f Makefile cmake_install.cmake CMakeCache.txt install_manifest.txt sakura.1
-	COMMAND rm -f po/*.mo po/sakura.pot po/Makefile po/cmake_install.cmake 
+	COMMAND rm -f po/*.mo po/sakura.pot po/Makefile po/cmake_install.cmake
 	COMMAND rm -rf CMakeFiles po/CMakeFiles)
 
-IF (POD2MAN) 
+IF (POD2MAN)
 ADD_CUSTOM_TARGET(man ALL
 	COMMAND ${POD2MAN} -u --section=1 --release=${VERSION} --center '' ${sakura_SOURCE_DIR}/sakura.pod sakura.1)
-ENDIF (POD2MAN)	
+ENDIF (POD2MAN)

=== debian/changelog ===
sakura (3.8.4-1) unstable; urgency=medium

  * New upstream version 3.8.4
  * Update Standards Version to 4.6.0.1 (No changes required)
  * Update Copyright source location
  * Update copyright years

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 19 Oct 2021 15:54:05 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libpcre2-dev,
                libvte-2.91-dev,
                perl
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/sakura.git
 Vcs-Browser: https://salsa.debian.org/debian/sakura

## sakura 3.8.5

=== debian/changelog ===
sakura (3.8.5-2) unstable; urgency=medium

  * Add patch to add multilines flags to VTE regexp (Closes: #1014275)
  * Update copyright year for Debian packaging
  * Update standards version to 4.6.1 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 03 Jul 2022 14:03:11 +0200

sakura (3.8.5-1) unstable; urgency=medium

  * New upstream version 3.8.5
    - Fixes incorrect usage of PRIMARY and CLIPBOARD selections
      (Closes: #997023)

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 01 Apr 2022 09:46:05 +0200

## sakura 3.8.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-CMAKE_MINIMUM_REQUIRED (VERSION 2.4 FATAL_ERROR)
+CMAKE_MINIMUM_REQUIRED (VERSION 2.8.12 FATAL_ERROR)
 CMAKE_POLICY(SET CMP0005 NEW)
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.8.3")
+SET (VERSION "3.8.6")
 
 
 INCLUDE (FindPkgConfig)

=== debian/changelog ===
sakura (3.8.6-1) unstable; urgency=medium

  * New upstream version 3.8.6
  * Remove patch 0002-Add-multiline-flags-to-VTE-regexps.patch, applied upstream

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 12 Nov 2022 01:14:43 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libpcre2-dev,
                libvte-2.91-dev,
                perl
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/sakura.git
 Vcs-Browser: https://salsa.debian.org/debian/sakura
